# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [PEP 440](https://www.python.org/dev/peps/pep-0440/) 
and uses [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.1.4](https://github.com/ASFHyP3/hyp3-metadata-templates/compare/v0.1.3...v0.1.4)

### Changed
* Use past tense when describing scattering area cell value calculations to clarify that they reflect the
  user-provided radiometry

## [0.1.3](https://github.com/ASFHyP3/hyp3-metadata-templates/compare/v0.1.2...v0.1.3)

### Added
* Added documentation for the new scattering area map generated by RTC GAMMA:
  * Added layer description to readme
  * Added an ArcGIS-compatible xml file

### Removed
* Removed description of .iso.xml file eliminated in hyp3-rtc-gamma v2.3.0.

## [0.1.2](https://github.com/ASFHyP3/hyp3-metadata-templates/compare/v0.1.1...v0.1.2)

### Changed
- Lineage statements now include the processing year when referring to HyP3, e.g. `ASF DAAC HyP3 2020`

## [0.1.1](https://github.com/ASFHyP3/hyp3-metadata-templates/compare/v0.1.0...v0.1.1)

### Fixed
* `hyp3_metadata.create_metadata_file_set` now creates metadata for color browse images (`*_rgb.png`)
* Thumbnail images in XML files are correctly encoded

## [0.1.0](https://github.com/ASFHyP3/hyp3-metadata-templates/compare/v0.0.0...v0.1.0)

### Added
* `hyp3_metadata.create_metadata_file_set` method to create all standard metadata files for HyP3 products
  
  *Note: this only currently supports RTC products created with the GAMMA processor.*

### Changed
* Now a pip-installable python package called `hyp3_metadata`
